Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0004113
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2008-06-23 11:232010-07-16 15:46
ReporterpjuvaraView Statuspublic 
Assigned Toalostale 
PrioritylowResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision2472fa0ab9ab
ProjectionnoneETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0004113: Single record window UI pattern

DescriptionSome configuration tables manage a single record (a record exists out of the box and users can edit it but cannot add or remove records).
The record could be at system level, client level or organization level.

WAD should be able to generate windows that manage these records effectively (currently developers need to code call outs to disable the record create, delete and navigation).
TagsReleaseCandidate
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 0000486 closedpjuvara Hearbeat Configuration and Registration windows should be edit only 
related to feature request 0003437pi closedalostale disallow to create client in client window 
related to defect 0010027 closededuardo_Argal Can't create withholding account - wrong error 
related to design defect 0010714 scheduleddmiguelez Information tab inside Organization window should be of Single Record UI Pattern 
related to defect 00120442.40MP15 closedsivaraman Create New Record button in Comission Payment window 
related to defect 0012186 closedalostale Rename UI Pattern = Single Record to a more meaningful name 
related to feature request 0013481 newplatform Save and Grid button on Edit Only UI Pattern 
blocks defect 0009515 closedalostale Is possible delete a partner from a child tab as employee,vendor or customer 
blocks defect 0005156 closedshuehner Create Organitazion 

-  Notes
(0017917)
hgbot (developer)
2009-07-06 08:34

Repository: erp/devel/pi
Changeset: 2472fa0ab9abc9fdb26b9a5193c96ed7a139670b
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Jul 06 08:12:33 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2472fa0ab9abc9fdb26b9a5193c96ed7a139670b [^]

Single record pattern implemented.

  Now it is possible to define a tab not to be able to create and delete records but yes to edit the existent ones.

  This fix solves:
    - Fixed issue 0004113: Single record window UI pattern
    - Fixed issue 0003437: disallow to create client in client window
    - Fixed issue 0000486: Hearbeat Configuration and Registration windows should be edit only
    - Fixed issue 0009515: Is possible delete a partner from a child tab as employee,vendor or customer

---
M src-db/database/model/tables/AD_TAB.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_PROCESS_REQUEST.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-wad/src/org/openbravo/wad/Tabs_data.xsql
M src-wad/src/org/openbravo/wad/Wad.java
M src-wad/src/org/openbravo/wad/javasource.javaxml
M src-wad/src/org/openbravo/wad/javasource.xml
M src/org/openbravo/erpCommon/ad_forms/InvoiceVendorMultiline.java
M src/org/openbravo/erpCommon/businessUtility/TabAttachments_data.xsql
M src/org/openbravo/erpCommon/utility/Access_data.xsql
M src/org/openbravo/erpCommon/utility/TableSQLQuery_data.xsql
M src/org/openbravo/erpCommon/utility/ToolBar.java
M src/org/openbravo/erpCommon/utility/WindowAccess_data.xsql
---

- Issue History
Date Modified Username Field Change
2008-06-23 11:23 pjuvara New Issue
2008-06-23 11:23 pjuvara Assigned To => cromero
2008-06-23 11:24 pjuvara Status new => scheduled
2008-06-23 11:24 pjuvara Type @30@ => feature request
2008-06-23 11:24 pjuvara Target Version => 2.50
2008-06-23 11:24 pjuvara Summary Windows that manage a single record => Single record window UI pattern
2008-06-23 11:24 pjuvara Tag Attached: ReleaseCandidate
2008-06-23 11:27 pjuvara Relationship added blocks 0000486
2008-06-23 11:27 pjuvara Relationship replaced depends on 0000486
2008-06-24 18:57 pjuvara Priority normal => low
2008-06-27 17:43 pjuvara Severity minor => major
2008-07-01 17:56 anonymous sf_bug_id 0 => 2007969
2008-09-08 15:59 pjuvara Target Version 2.50 => 2.60
2008-11-10 13:10 cromero Assigned To cromero => pjuvara
2008-11-16 09:38 pjuvara Relationship added related to 0003437
2008-11-21 16:45 pjuvara Status scheduled => acknowledged
2008-11-21 17:05 pjuvara Target Version 2.60 => trunk
2009-05-22 19:34 pjuvara Assigned To pjuvara => iciordia
2009-06-30 15:57 alostale Relationship added blocks 0009515
2009-06-30 16:30 alostale Assigned To iciordia => alostale
2009-06-30 16:31 AinhoaPagola Issue Monitored: AinhoaPagola
2009-07-06 08:34 hgbot Checkin
2009-07-06 08:34 hgbot Note Added: 0017917
2009-07-06 08:34 hgbot Status acknowledged => resolved
2009-07-06 08:34 hgbot Resolution open => fixed
2009-07-06 08:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2472fa0ab9abc9fdb26b9a5193c96ed7a139670b [^]
2009-08-10 22:43 pjuvara Status resolved => closed
2009-08-11 16:54 pjuvara Relationship added blocks 0005156
2009-08-31 14:23 rafaroda Relationship added related to 0010027
2010-02-09 11:31 rafaroda Relationship added related to 0010714
2010-02-09 11:37 rafaroda Relationship added related to 0012044
2010-02-09 11:43 rafaroda Relationship added related to 0012186
2010-07-16 15:46 rafaroda Issue Monitored: rafaroda
2010-07-16 15:47 rafaroda Relationship added related to 0013481


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker